io.vertx.json.schema.common

## Class RecursiveRefSchema

- java.lang.Object
- - io.vertx.json.schema.common.BaseMutableStateValidator
  - - io.vertx.json.schema.common.SchemaImpl
    - - io.vertx.json.schema.common.RecursiveRefSchema

- All Implemented Interfaces:
    AsyncValidator, MutableStateValidator, PriorityGetter, SchemaInternal, SyncValidator, Validator, Schema

      public class RecursiveRefSchema
      extends SchemaImpl

- - ### Field Summary

    - ### Fields inherited from class io.vertx.json.schema.common.SchemaImpl

      `shouldRecordContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecursiveRefSchema(JsonObject schema, JsonPointer scope, SchemaParser schemaParser, MutableStateValidator parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkSync()`
    `void` | `doApplyDefaultValues(Object obj)`
    `protected ValidatorContext` | `generateValidationContext(SchemaInternal schema, ValidatorContext parent)`
    `Object` | `getDefaultValue()` Return the default value defined in the schema
    `boolean` | `hasDefaultValue()` Return true if the schema has a default value defined
    `boolean` | `isSync()` Returns true if this validator can actually provide a synchronous validation
    `Future<Void>` | `validateAsync(ValidatorContext inContext, Object in)` Return a Future that succeed when the validation succeed, while fail with a `ValidationException` when validation fails
    `void` | `validateSync(ValidatorContext context, Object in)` Validate the provided value

    - ### Methods inherited from class io.vertx.json.schema.common.SchemaImpl

      `applyDefaultValues, applyDefaultValues, calculateIsSync, generateValidationContext, getJson, getScope, runAsyncValidators, runSyncValidator, triggerUpdateIsSync, validateAsync, validateSync`

    - ### Methods inherited from class io.vertx.json.schema.common.BaseMutableStateValidator

      `getParent, getPriority, initializeIsSync, validateSyncAsAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.json.schema.common.PriorityGetter

      `getPriority`

- - ### Constructor Detail

    - #### RecursiveRefSchema

          public RecursiveRefSchema(JsonObject schema,
                                    JsonPointer scope,
                                    SchemaParser schemaParser,
                                    MutableStateValidator parent)

  - ### Method Detail

    - #### validateAsync

          public Future<Void> validateAsync(ValidatorContext inContext,
                                            Object in)

      Description copied from interface: `AsyncValidator`
      Return a Future that succeed when the validation succeed, while fail with a `ValidationException` when validation fails
      Specified by:
        `validateAsync` in interface `AsyncValidator`
      Overrides:
        `validateAsync` in class `SchemaImpl`
      Returns:

    - #### validateSync

          public void validateSync(ValidatorContext context,
                                   Object in)
                            throws ValidationException

      Description copied from interface: `SyncValidator`
      Validate the provided value
      Specified by:
        `validateSync` in interface `SyncValidator`
      Overrides:
        `validateSync` in class `SchemaImpl`
      Throws:
        `ValidationException` - if the object is not valid

    - #### getDefaultValue

          public Object getDefaultValue()

      Description copied from interface: `Schema`
      Return the default value defined in the schema
      Specified by:
        `getDefaultValue` in interface `Schema`
      Overrides:
        `getDefaultValue` in class `SchemaImpl`
      Returns:

    - #### hasDefaultValue

          public boolean hasDefaultValue()

      Description copied from interface: `Schema`
      Return true if the schema has a default value defined
      Specified by:
        `hasDefaultValue` in interface `Schema`
      Overrides:
        `hasDefaultValue` in class `SchemaImpl`
      Returns:

    - #### doApplyDefaultValues

          public void doApplyDefaultValues(Object obj)

      Overrides:
        `doApplyDefaultValues` in class `SchemaImpl`

    - #### isSync

          public boolean isSync()

      Description copied from interface: `Validator`
      Returns true if this validator can actually provide a synchronous validation
      Specified by:
        `isSync` in interface `Validator`
      Specified by:
        `isSync` in interface `Schema`
      Overrides:
        `isSync` in class `BaseMutableStateValidator`
      Returns:

    - #### checkSync

          protected void checkSync()
                            throws ValidationException,
                                   NoSyncValidationException

      Overrides:
        `checkSync` in class `BaseMutableStateValidator`
      Throws:
        `ValidationException`
        `NoSyncValidationException`

    - #### generateValidationContext

          protected ValidatorContext generateValidationContext(SchemaInternal schema,
                                                               ValidatorContext parent)

Copyright © 2021 Eclipse. All rights reserved.